#!/bin/bash -x

ROOT_DIR=$(cd $(dirname $0)/.. && pwd)

if [ $# -ne 1 ]; then
  echo "must set NGT directory" >&2
  exit 1
fi

NGT_DIR=$1
NGT_BIN="/usr/local/bin/ngt"

CMAKE_MIN_VER='2.8'
CMAKE_DIR="$ROOT_DIR/cmake-2.8.11.2"
CMAKE_ZIP="$CMAKE_DIR.tar.gz"

if [ "$(echo -e $CMAKE_MIN_VER\n$(cmake --version) | egrep -o '[0-9]+\.+[0-9]+' | sort -V | head -n1)" != "$CMAKE_MIN_VER" ]; then
  echo -n "CMake 2.8 or higher is required. install cmake 2.8.11.2"
  if [ ! -e $CMAKE_ZIP ]; then
    wget http://www.cmake.org/files/v2.8/cmake-2.8.11.2.tar.gz -O $CMAKE_ZIP
  fi
  tar xvzf $CMAKE_ZIP
  cd $CMAKE_DIR
  ./configure
  make
  sudo make install
  cd $ROOT_DIR
fi

if [ ! -e $NGT_BIN ]; then
  cd $NGT_DIR
  mkdir build
  cd build
  cmake ..
  sudo make
  sudo make install
fi

