#ifndef __UTILITY_HPP__
#define __UTILITY_HPP__

#include <string>
#include <sstream>
#include <fstream>
#include <vector>
#include <cstdlib>
#include <string.h>
#include <stdio.h>

#include <iostream>
#include <sys/time.h>
#include <iomanip>

using namespace std;

namespace utility {
void split(string &, char, vector<string> &);

int load_ssv(const string &, vector<float> &);

size_t get_data_size(const string &, size_t &);

class Timer {
 public:
  Timer() : time(0) {}
  void reset();
  void start();
  void restart();
  void stop();

  struct timeval startTime;
  struct timeval stopTime;

  int sec;
  int usec;
  double time;

  friend std::ostream &operator<<(std::ostream &os, Timer &t);
};
}

#endif
